Bug 260030

Summary: lang/ruby27: Update to 2.7.5
Product: Ports & Packages Reporter: Yasuhiro Kimura <yasu>
Component: Individual Port(s)Assignee: Yasuhiro Kimura <yasu>
Status: Closed FIXED    
Severity: Affects Only Me CC: freebsd.bugs, freebsdpr-20121114, nevecherya, ruby
Priority: --- Flags: bugzilla: maintainer-feedback? (ruby)
yasu: merge-quarterly?
antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://www.ruby-lang.org/en/news/2021/11/24/ruby-2-7-5-released/
Attachments:
Description Flags
Patch file none

Description Yasuhiro Kimura freebsd_committer 2021-11-24 18:16:39 UTC
Created attachment 229708 [details]
Patch file

Update to 2.7.5.

ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-2-7-5-released/
Security:       CVE-2021-41816
Security:       CVE-2021-41817
Security:       CVE-2021-41819
MFH:            2021Q4
Comment 1 Yasuhiro Kimura freebsd_committer 2021-12-02 15:09:33 UTC
I'd like to request exp-run as this is current default version of Ruby.
Comment 2 Antoine Brodin freebsd_committer 2021-12-07 09:12:37 UTC
Exp-run looks fine
Comment 3 Yasuhiro Kimura freebsd_committer 2021-12-08 23:09:34 UTC
Maintainer timeout (> 2 weeks). Take.
Comment 4 commit-hook freebsd_committer 2021-12-08 23:24:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2883204dd3c0b2b07fdf5cdaba87be83e1ff19a7

commit 2883204dd3c0b2b07fdf5cdaba87be83e1ff19a7
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-11-24 18:11:13 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-12-08 23:21:51 +0000

    lang/ruby27: Update to 2.7.5

    ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-2-7-5-released/
    PR:             260030
    Exp-run by:     antoine
    Approved by:    maintainer timeout (> 2 weeks)
    Security:       CVE-2021-41816
    Security:       CVE-2021-41817
    Security:       CVE-2021-41819
    MFH:            2021Q4

 Mk/bsd.ruby.mk                                     |  2 +-
 lang/ruby27/distinfo                               |  6 ++---
 lang/ruby27/files/patch-include_ruby_ruby.h (gone) | 29 ----------------------
 lang/ruby27/pkg-plist                              |  8 ------
 4 files changed, 4 insertions(+), 41 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-12-08 23:33:25 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=631a72ed53b94de1911a64acd37e0174927e587a

commit 631a72ed53b94de1911a64acd37e0174927e587a
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-11-24 18:11:13 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-12-08 23:28:12 +0000

    lang/ruby27: Update to 2.7.5

    ReleaseNotes:   https://www.ruby-lang.org/en/news/2021/11/24/ruby-2-7-5-released/
    PR:             260030
    Exp-run by:     antoine
    Approved by:    maintainer timeout (> 2 weeks)
    Security:       CVE-2021-41816
    Security:       CVE-2021-41817
    Security:       CVE-2021-41819
    MFH:            2021Q4

    (cherry picked from commit 2883204dd3c0b2b07fdf5cdaba87be83e1ff19a7)

 Mk/bsd.ruby.mk                                     |  2 +-
 lang/ruby27/distinfo                               |  6 ++---
 lang/ruby27/files/patch-include_ruby_ruby.h (gone) | 29 ----------------------
 lang/ruby27/pkg-plist                              |  8 ------
 4 files changed, 4 insertions(+), 41 deletions(-)
Comment 6 Yasuhiro Kimura freebsd_committer 2021-12-08 23:36:41 UTC
Committed and merged to quarterly branch.